/*
* Created by WebID Solutions GmbH | www.webid-solutions.de.
* See the file "LICENSE" for the full license governing this code.
*/
package de.webidsolutions.metaplugindemo.tasks

enum class EApiResult(val messageKey: String, val messageID: Int, val fatal: Boolean) {
    SUCCESS(
        "api_success",
        0,
        false
    ),
    ACTIONID_NOT_FOUND(
        "apierror_actionid_not_found",
        0,
        false
    ),
    ACTIONID_NOT_VALID(
        "apierror_actionid_not_valid",
        0,
        false
    ),
    ACCESS_DENIED(
        "apierror_access_denied",
        0,
        true
    ),
    IO_FAILURE(
        "apierror_io_failure",
        0,
        false
    ),
    ILLEGAL_ARGUMENT(
        "apierror_illegal_argument",
        0,
        true
    ),
    ILLEGAL_STATE(
        "apierror_illegal_state",
        0,
        true
    ),
    TAN_INCORRECT(
        "apierror_tan_incorrect",
        0,
        false
    ),
    TAN_ILLEGAL_STATE(
        "apierror_tan_illegal_state",
        0,
        false
    ),
    PRECHECK_REQUIRED(
        "apierror_precheck_required",
        0,
        true
    ),
    ECHECK_REQUIRED(
        "apierror_echeck_required",
        0,
        true
    ),
    LEGALNOTICES_CONFIRMATION_MISSING(
        "apierror_legalnotices_confirmation_missing",
        0,
        true
    ),
    AUTOIDENT_REQUIRED(
        "apierror_autoident_required",
        0,
        true
    ),
    SHOW_ENDUSERDIALOG(
        "apierror_show_enduserdialog",
        0,
        true
    ),
    EID_AUTHADA_REQUIRED(
        "apierror_eid_authada_required",
        0,
        true
    ),
    IDENT_NOT_SUPPORTED(
        "apierror_ident_not_supported",
        0,
        true
    ),
    USER_ACTION_NOT_FINISHED(
        "apierror_user_action_not_finished",
        0,
        false
    ),  //497
    SERVICE_UNAVAILABLE(
        "apierror_service_unavailable",
        0,
        true
    ),
    SESSION_EXPIRED(
        "apierror_session_expired",
        0,
        true
    ),
    DUPLICATE_PLUGIN(
        "init_error_duplicate_plugin",
        0,
        true
    );

    var extInfo = ""
    var extInfo2 = ""

}
